Summary:	Module utilities and kerneld
Name:		modutils
Version:	2.1.121
Release:	3
Group:		Utilities/System
Copyright:	GPL
Packager:	Hao Li <hli@wag.caltech.edu>
Source:		ftp://ftp.kernel.org/pub/linux/kernel/v2.1/%{name}-%{version}.tar.gz
Source1:	kerneld.init
Patch:		modinfo.c.patch
BuildRoot:	/var/tmp/%{name}--root

%description
The Linux kernel allows new kernel pieces to be loaded and old ones to
be unloaded while the kernel continues to run. These loadable pieces
are called modules, and can include device drivers and filesystems among
other things. This package includes programs to load and unload programs
both automatically and manually.


%prep
%setup -q
%patch -p0


%build
./configure
make CFLAGS="$RPM_OPT_FLAGS" LDFLAGS=-s dep all


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/{etc/rc.d/init.d,sbin,usr/man/man{1,2,8}}
make prefix=$RPM_BUILD_ROOT/usr exec_prefix=$RPM_BUILD_ROOT install

# Install request-route
make -C kerneld prefix=$RPM_BUILD_ROOT/usr exec_prefix=$RPM_BUILD_ROOT \
	install-scripts

# Rebuild and install insmod.static
make -C insmod CFLAGS="$RPM_OPT_FLAGS" LDFLAGS=-static clean insmod 
install -s -m755 insmod/insmod $RPM_BUILD_ROOT/sbin/insmod.static

# Install kerneld rc script
install -m 755 $RPM_SOURCE_DIR/kerneld.init \
	$RPM_BUILD_ROOT/etc/rc.d/init.d/kerneld


%post
/sbin/chkconfig --add kerneld

%preun
/sbin/chkconfig --del kerneld


%files
%defattr(-,root,root)
%config /etc/rc.d/init.d/*
/sbin/*
/usr/man/man*/*


%clean
rm -rf $RPM_BUILD_ROOT

